Get Types Using GET

Get Types Using GET

Returns a paginated list of all available Catalog Item Types.

Request
URI
GET
https://{api_host}//api.mgmt.cloud.vmware.com/catalog/api/types
COPY
Query Parameters
integer
page
Optional

Results page you want to retrieve (0..N)

integer
size
Optional

Number of records per page.

size example
20
string of array
sort
Optional

Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported.


Responses
200

OK

Returns CatalogItemType of type(s) */*
{
    "baseUri": "string",
    "createdAt": "string",
    "createdBy": "string",
    "id": "string",
    "name": "string"
}
string
baseUri
Optional

Base callback URI for import operations

object
configSchema
Optional

Configuration schema for this type, requests to create a source of this type should have a compliant 'config' field

string As date-time As date-time
createdAt
Optional

Creation time

string
createdBy
Optional

Service that created this type

string
id
Optional

Human-readable unique ID containing only lowercase letters and periods, neither starting nor ending with a period, and never having two consecutive periods

string
name
Required

Unique Catalog Item Type name


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

404

Not Found

Operation doesn't return any data structure